Type to search.

Get data stream lifecycles

  • GET /_data_stream/{name}/_lifecycle
Auth

Get the data stream lifecycle configuration of one or more data streams.

About data stream lifecycle

Required privileges

Index privileges view_index_metadata

Path parameters

name union string | string[] required

Comma-separated list of data streams to limit the request. Supports wildcards (*). To target all data streams, omit this parameter or use * or _all.

Query parameters

expand_wildcards union oneOf · default: open

Type of data stream that wildcard patterns can match. Supports comma-separated values, such as open,hidden.

Supported values include:

  • all: Match any data stream or index, including hidden ones.
  • open: Match open, non-hidden indices. Also matches any non-hidden data stream.
  • closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  • hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both.
  • none: Wildcard expressions are not accepted.
Values: all open closed hidden none
include_defaults boolean · default: false

If true, return all default settings in the response.

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
data_streams object[] required
name string required
global_retention object required
max_retention union oneOf
Values: -1 0
default_retention union oneOf
Values: -1 0